Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QAbstractSocket.SocketType

    java.lang.Object
      java.lang.Enum<QAbstractSocket.SocketType>
          com.trolltech.qt.network.QAbstractSocket.SocketType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractSocket.SocketType>

Enclosing class:
  QAbstractSocket

    public static enum QAbstractSocket.SocketType

extends java.lang.Enum<QAbstractSocket.SocketType>
implements QtEnumerator

This enum describes the transport layer protocol.

See Also:
  `QAbstractSocket::socketType`

Enum Constant Summary
`TcpSocket` TCP
`UdpSocket` UDP
`UnknownSocketType` Other than TCP and UDP

Method Summary
`static QAbstractSocket.SocketType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.SocketType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractSocket.SocketType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TcpSocket

    public static final QAbstractSocket.SocketType TcpSocket

  TCP

### UdpSocket

    public static final QAbstractSocket.SocketType UdpSocket

  UDP

### UnknownSocketType

    public static final QAbstractSocket.SocketType UnknownSocketType

  Other than TCP and UDP

Method Detail

### values

    public static final QAbstractSocket.SocketType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractSocket.SocketType c : QAbstractSocket.SocketType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractSocket.SocketType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.SocketType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD